<?xml version="1.0" encoding="utf-8" ?>
<Package>
	<!--
		Header: (Optional) Defines a text header to the added at the top of the
		compressed file. It usually contails license or copyright information.
		
		All files defined in this file will have the same header.
	-->
	<Header><![CDATA[/*
 * FCKeditor - The text editor for internet
 * Copyright (C) 2003-2006 Frederico Caldeira Knabben
 *
 * Licensed under the terms of the GNU Lesser General Public License:
 * 		http://www.opensource.org/licenses/lgpl-license.php
 */
]]></Header>

	<!--
		Constants: holds a list of constants (variable names) that will be
		translated in the code to their values.
		
		Attributes:
			- removeDeclaration: (true/false) (optional=true) all constant
			  variable declarations will be removed from the code.
	-->
	<Constants removeDeclaration="false">
		<Constant name="FCK_STATUS_NOTLOADED" value="0" />
		<Constant name="FCK_STATUS_ACTIVE" value="1" />
		<Constant name="FCK_STATUS_COMPLETE" value="2" />
		<Constant name="FCK_TRISTATE_OFF" value="0" />
		<Constant name="FCK_TRISTATE_ON" value="1" />
		<Constant name="FCK_TRISTATE_DISABLED" value="-1" />
		<Constant name="FCK_UNKNOWN" value="-9" />
		<Constant name="FCK_TOOLBARITEM_ONLYICON" value="0" />
		<Constant name="FCK_TOOLBARITEM_ONLYTEXT" value="1" />
		<Constant name="FCK_TOOLBARITEM_ICONTEXT" value="2" />
		<Constant name="FCK_EDITMODE_WYSIWYG" value="0" />
		<Constant name="FCK_EDITMODE_SOURCE" value="1" />
	</Constants>

	<!--
		PackageFile: One or many PackageFile elements can be defined. Each one
		will generate a compressed JavaScript file.
		
		Attributes:
			- path: (string) the path of the file to be generated.
			- compactJavascript: (true/false) (optional=true) indicates that the
			  files must be compressed.
			- renameGlobals: (optional=false) indicates that all variables
			  declared in the global scope (public variables) will also be renamed.
	-->
	<PackageFile path="ckeditor_basic.js" compactJavascript="true" renameGlobals="false">
		<!--
			The PackageFile element accepts one or many File elements, each one
			pointing to the original JavaScript file to be loaded and
			added to the target file.
		-->
		<File path="_source/core/ckeditor_base.js" />
		<File path="_source/core/event.js" />
		<File path="_source/core/editor_basic.js" />
		<File path="_source/core/env.js" />
		<File path="_source/core/ckeditor_basic.js" />

	</PackageFile>

	<PackageFile path="ckeditor.js">
		<File path="_source/core/ckeditor_base.js" />
					<File path="_source/core/event.js" />
					<File path="_source/core/editor_basic.js" />
					<File path="_source/core/env.js" />
					<File path="_source/core/ckeditor_basic.js" />
					<File path="_source/core/dom.js" />
					<File path="_source/core/tools.js" />
					<File path="_source/core/dtd.js" />
					<File path="_source/core/dom/event.js" />
					<File path="_source/core/dom/domobject.js" />
					<File path="_source/core/dom/window.js" />
					<File path="_source/core/dom/document.js" />
					<File path="_source/core/dom/node.js" />
					<File path="_source/core/dom/nodelist.js" />
					<File path="_source/core/dom/element.js" />
					<File path="_source/core/command.js" />
					<File path="_source/core/config.js" />
					<File path="_source/core/focusmanager.js" />
					<File path="_source/core/lang.js" />
					<File path="_source/core/scriptloader.js" />
					<File path="_source/core/resourcemanager.js" />
					<File path="_source/core/plugins.js" />
					<File path="_source/core/skins.js" />
					<File path="_source/core/themes.js" />
					<File path="_source/core/ui.js" />
					<File path="_source/core/editor.js" />
					<File path="_source/core/htmlparser.js" />
					<File path="_source/core/htmlparser/comment.js" />
					<File path="_source/core/htmlparser/text.js" />
					<File path="_source/core/htmlparser/cdata.js" />
					<File path="_source/core/htmlparser/fragment.js" />
					<File path="_source/core/htmlparser/element.js" />
					<File path="_source/core/htmlparser/filter.js" />
					<File path="_source/core/htmlparser/basicwriter.js" />
					<File path="_source/core/ckeditor.js" />
					<File path="_source/core/dom/comment.js" />
					<File path="_source/core/dom/elementpath.js" />
					<File path="_source/core/dom/text.js" />
					<File path="_source/core/dom/documentfragment.js" />
					<File path="_source/core/dom/walker.js" />
					<File path="_source/core/dom/range.js" />
					<File path="_source/core/dom/rangelist.js" />
					<File path="_source/core/_bootstrap.js" />
					<File path="_source/skins/kama/skin.js" />
					<File path="_source/lang/en.js" />
					<File path="_source/plugins/about/plugin.js" />
					<File path="_source/plugins/a11yhelp/plugin.js" />
					<File path="_source/plugins/basicstyles/plugin.js" />
					<File path="_source/plugins/bidi/plugin.js" />
					<File path="_source/plugins/blockquote/plugin.js" />
					<File path="_source/plugins/button/plugin.js" />
					<File path="_source/plugins/clipboard/plugin.js" />
					<File path="_source/plugins/colorbutton/plugin.js" />
					<File path="_source/plugins/colordialog/plugin.js" />
					<File path="_source/plugins/contextmenu/plugin.js" />
					<File path="_source/plugins/dialogadvtab/plugin.js" />
					<File path="_source/plugins/div/plugin.js" />
					<File path="_source/plugins/elementspath/plugin.js" />
					<File path="_source/plugins/enterkey/plugin.js" />
					<File path="_source/plugins/entities/plugin.js" />
					<File path="_source/plugins/filebrowser/plugin.js" />
					<File path="_source/plugins/find/plugin.js" />
					<File path="_source/plugins/flash/plugin.js" />
					<File path="_source/plugins/font/plugin.js" />
					<File path="_source/plugins/format/plugin.js" />
					<File path="_source/plugins/forms/plugin.js" />
					<File path="_source/plugins/horizontalrule/plugin.js" />
					<File path="_source/plugins/htmldataprocessor/plugin.js" />
					<File path="_source/plugins/iframe/plugin.js" />
					<File path="_source/plugins/image/plugin.js" />
					<File path="_source/plugins/indent/plugin.js" />
					<File path="_source/plugins/justify/plugin.js" />
					<File path="_source/plugins/keystrokes/plugin.js" />
					<File path="_source/plugins/link/plugin.js" />
					<File path="_source/plugins/list/plugin.js" />
					<File path="_source/plugins/liststyle/plugin.js" />
					<File path="_source/plugins/maximize/plugin.js" />
					<File path="_source/plugins/newpage/plugin.js" />
					<File path="_source/plugins/pagebreak/plugin.js" />
					<File path="_source/plugins/pastefromword/plugin.js" />
					<File path="_source/plugins/pastetext/plugin.js" />
					<File path="_source/plugins/popup/plugin.js" />
					<File path="_source/plugins/preview/plugin.js" />
					<File path="_source/plugins/print/plugin.js" />
					<File path="_source/plugins/removeformat/plugin.js" />
					<File path="_source/plugins/resize/plugin.js" />
					<File path="_source/plugins/save/plugin.js" />
					<File path="_source/plugins/scayt/plugin.js" />
					<File path="_source/plugins/smiley/plugin.js" />
					<File path="_source/plugins/showblocks/plugin.js" />
					<File path="_source/plugins/showborders/plugin.js" />
					<File path="_source/plugins/sourcearea/plugin.js" />
					<File path="_source/plugins/stylescombo/plugin.js" />
					<File path="_source/plugins/table/plugin.js" />
					<File path="_source/plugins/tabletools/plugin.js" />
					<File path="_source/plugins/specialchar/plugin.js" />
					<File path="_source/plugins/tab/plugin.js" />
					<File path="_source/plugins/templates/plugin.js" />
					<File path="_source/plugins/toolbar/plugin.js" />
					<File path="_source/plugins/undo/plugin.js" />
					<File path="_source/plugins/wysiwygarea/plugin.js" />
					<File path="_source/plugins/wsc/plugin.js" />
					<File path="_source/plugins/dialog/plugin.js" />
					<File path="_source/plugins/styles/plugin.js" />
					<File path="_source/plugins/domiterator/plugin.js" />
					<File path="_source/plugins/panelbutton/plugin.js" />
					<File path="_source/plugins/floatpanel/plugin.js" />
					<File path="_source/plugins/menu/plugin.js" />
					<File path="_source/plugins/editingblock/plugin.js" />
					<File path="_source/plugins/selection/plugin.js" />
					<File path="_source/plugins/fakeobjects/plugin.js" />
					<File path="_source/plugins/richcombo/plugin.js" />
					<File path="_source/plugins/htmlwriter/plugin.js" />
					<File path="_source/plugins/menubutton/plugin.js" />
					<File path="_source/plugins/dialogui/plugin.js" />
					<File path="_source/plugins/panel/plugin.js" />
					<File path="_source/plugins/listblock/plugin.js" />
					<File path="_source/themes/default/theme.js" />
</PackageFile>

</Package>
